%global commit0 ea2cf97663ada93af21a30a7f157d0793f2fa77e
%global date 20180703
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7}) 

%global eflver 1.7.10

Name:           moksha-modules-extra
Version:        0.0.1
Release:        4%{?shortcommit0:.%{date}git%{shortcommit0}}%{?dist}
License:        MIT
Summary:        Optional modules for Moksha desktop
Url:            https://github.com/JeffHoogland/moksha-modules-extra
Source:         https://github.com/JeffHoogland/moksha-modules-extra/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz


BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  gettext-devel
BuildRequires:  libtool
BuildRequires:  moksha-desktop-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(ecore)
BuildRequires:  pkgconfig(ecore-file)
BuildRequires:  pkgconfig(ecore-evas)
BuildRequires:  pkgconfig(ecore-input)
BuildRequires:  pkgconfig(ecore-x)
BuildRequires:  pkgconfig(edbus)
BuildRequires:  pkgconfig(edje) >= 0.5.0
BuildRequires:  pkgconfig(eet)
BuildRequires:  pkgconfig(eeze) >= 1.1.99
BuildRequires:  pkgconfig(efreet) >= 0.5.0.044
BuildRequires:  pkgconfig(eina)
BuildRequires:  pkgconfig(elementary)
BuildRequires:  pkgconfig(eukit)
BuildRequires:  pkgconfig(evas)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libbsd)
Requires:       moksha-module-alarm%{?_isa} = %{version}-%{release}
Requires:       moksha-module-calendar%{?_isa} = %{version}-%{release}
Requires:       moksha-module-cpu%{?_isa} = %{version}-%{release}
Requires:       moksha-module-deskshow%{?_isa} = %{version}-%{release}
Requires:       moksha-module-diskio%{?_isa} = %{version}-%{release}
Requires:       moksha-module-engage%{?_isa} = %{version}-%{release}
Requires:       moksha-module-flame%{?_isa} = %{version}-%{release}
Requires:       moksha-module-forecasts%{?_isa} = %{version}-%{release}
Requires:       moksha-module-mail%{?_isa} = %{version}-%{release}
Requires:       moksha-module-mem%{?_isa} = %{version}-%{release}
Requires:       moksha-module-net%{?_isa} = %{version}-%{release}
Requires:       moksha-module-news%{?_isa} = %{version}-%{release}
Requires:       moksha-module-penguins%{?_isa} = %{version}-%{release}
Requires:       moksha-module-photo%{?_isa} = %{version}-%{release}
Requires:       moksha-module-rain%{?_isa} = %{version}-%{release}
Requires:       moksha-module-screenshot%{?_isa} = %{version}-%{release}
Requires:       moksha-module-share%{?_isa} = %{version}-%{release}
Requires:       moksha-module-slideshow%{?_isa} = %{version}-%{release}
Requires:       moksha-module-snow%{?_isa} = %{version}-%{release}
Requires:       moksha-module-tclock%{?_isa} = %{version}-%{release}
Requires:       moksha-module-trash%{?_isa} = %{version}-%{release}
Requires:       moksha-module-winlist-ng%{?_isa} = %{version}-%{release}
Requires:       moksha-module-winselector%{?_isa} = %{version}-%{release}


%description
Optional additional modules for the Moksha desktop. This is a meta-package
that pulls all modules listed bellow.

- Alarm
- Calendar
- Cpu
- Deskshow
- DiskIO
- Engage
- Flame
- Forecasts
- Mail
- Mem
- Net
- News
- Penguins
- Photo
- Rain
- Screenshot
- Share
- Slideshow
- Snow
- TClock
- Trash
- Winlist NG
- Winselector

%package -n moksha-emprint
Summary:        Utility for taking screenshots

%description -n moksha-emprint
Emprint is a utility for taking screenshots of the entire screen, a specific
window, or a specific region. It is written with the Enlightenment Foundation
Libraries (http://www.enlightnement.org). It depends on a large number of
libraries that are only available in CVS at the moment.

%package -n moksha-module-alarm
License:        GPLv2
Summary:        Moksha module alarm
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-alarm
Contains alarm module for Moksha.

%package -n moksha-module-calendar
Summary:        Moksha module calendar
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-calendar
Contains calendar module for Moksha.

%package -n moksha-module-cpu
Summary:        Moksha module cpu
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-cpu
Contains cpu module for Moksha.

%package -n moksha-module-deskshow
Summary:        Moksha module deskshow
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-deskshow
Contains deskshow module for Moksha.

%package -n moksha-module-diskio
Summary:        Moksha module diskio
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-diskio
Contains diskio module for Moksha.

%package -n moksha-module-engage
Summary:        Moksha module engage
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-engage
Contains engage module for Moksha.

%package -n moksha-module-flame
Summary:        Moksha module flame
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-flame
Contains flame module for Moksha.

%package -n moksha-module-forecasts
Summary:        Moksha module forecasts
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-forecasts
Contains forecasts module for Moksha.

%package -n moksha-module-mail
License:        GPLv2
Summary:        Moksha module mail
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-mail
Contains mail module for Moksha.

%package -n moksha-module-mem
Summary:        Moksha module mem
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-mem
Contains mem module for Moksha.

%package -n moksha-module-net
Summary:        Moksha module net
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-net
Contains net module for Moksha.

%package -n moksha-module-news
License:        GPLv2
Summary:        Moksha module news
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-news
Contains news module for Moksha.

%package -n moksha-module-penguins
Summary:        Moksha module penguins
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-penguins
Contains penguins module for Moksha.

%package -n moksha-module-photo
License:        GPLv2
Summary:        Moksha module photo
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-photo
Contains photo module for Moksha.

%package -n moksha-module-rain
Summary:        Moksha module rain
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-rain
Contains rain module for Moksha.

%package -n moksha-module-screenshot
Summary:        Moksha module screenshot
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2
Requires:       moksha-emprint%{?_isa} = %{version}-%{release}

%description -n moksha-module-screenshot
Contains screenshot module for Moksha.

%package -n moksha-module-share
Summary:        Moksha module share
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-share
Contains share module for Moksha.

%package -n moksha-module-slideshow
Summary:        Moksha module slideshow
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-slideshow
Contains slideshow module for Moksha.

%package -n moksha-module-snow
Summary:        Moksha module snow
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-snow
Contains snow module for Moksha.

%package -n moksha-module-tclock
Summary:        Moksha module tclock
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-tclock
Contains tclock module for Moksha.

%package -n moksha-module-trash
License:        GPLv3 or LGPLv3
Summary:        Moksha module trash
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2
%if ! (0%{?rhel} && 0%{?rhel} <= 7)
Recommends:     pcmanfm
%endif

%description -n moksha-module-trash
Contains trash module for Moksha.

%package -n moksha-module-winlist-ng
Summary:        Moksha module winlist-ng
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-winlist-ng
Contains winlist-ng module for Moksha.

%package -n moksha-module-winselector
Summary:        Moksha module winselector
Requires:       moksha-desktop%{?_isa} >= 0.3.0-0.2

%description -n moksha-module-winselector
Contains winselector module for Moksha.


%prep    
%autosetup -p1 -n %{name}-%{commit0}


%build
for moddir in */; do
  # Places included with Moksha 0.3.0
  [ "${moddir%/}" == "places" ] && continue
  cd $moddir
  NOCONFIGURE=1 ./autogen.sh
  %configure --disable-static --disable-rpath
  %{make_build}
  cd ..
done


%install
for moddir in */; do
  # Places included with Moksha 0.3.0
  [ "${moddir%/}" == "places" ] && continue
  cd $moddir
  %{make_install}
  cd ..
  case ${moddir%/} in
  deskshow|diskio|emprint|share|winselector)
    continue
    ;;
  *)
    %find_lang ${moddir%/}
    ;;
  esac
done

find %{buildroot} -name '*.la' -delete


%files
%doc README.md

%files -n moksha-emprint
%license emprint/COPYING emprint/COPYING-PLAIN
%doc emprint/AUTHORS emprint/README emprint/TODO
%{_bindir}/emprint
%{_datadir}/emprint/

%files -n moksha-module-alarm -f alarm.lang
%license alarm/COPYING
%doc alarm/AUTHORS alarm/README alarm/TODO
%dir %{_libdir}/enlightenment/modules/alarm/
%{_libdir}/enlightenment/modules/alarm/linux-gnu-*/
%{_libdir}/enlightenment/modules/alarm/*.edj
%{_libdir}/enlightenment/modules/alarm/*.desktop

%files -n moksha-module-calendar -f calendar.lang
%license calendar/COPYING calendar/COPYING-PLAIN
%doc calendar/AUTHORS
%dir %{_libdir}/enlightenment/modules/calendar/
%{_libdir}/enlightenment/modules/calendar/linux-gnu-*/
%{_libdir}/enlightenment/modules/calendar/*.edj
%{_libdir}/enlightenment/modules/calendar/*.desktop

%files -n moksha-module-cpu -f cpu.lang
%license cpu/COPYING cpu/COPYING-PLAIN
%doc cpu/AUTHORS
%dir %{_libdir}/enlightenment/modules/cpu/
%{_libdir}/enlightenment/modules/cpu/linux-gnu-*/
%{_libdir}/enlightenment/modules/cpu/*.edj
%{_libdir}/enlightenment/modules/cpu/*.desktop

%files -n moksha-module-deskshow
%license deskshow/COPYING deskshow/COPYING-PLAIN
%doc deskshow/AUTHORS
%{_libdir}/enlightenment/modules/deskshow/

%files -n moksha-module-diskio
%license diskio/COPYING diskio/COPYING-PLAIN
%doc diskio/AUTHORS
%{_libdir}/enlightenment/modules/diskio/

%files -n moksha-module-engage -f engage.lang
%license engage/COPYING engage/COPYING-PLAIN
%doc engage/AUTHORS engage/CREDITS engage/NEWS engage/README engage/TODO
%dir %{_libdir}/enlightenment/modules/engage/
%{_libdir}/enlightenment/modules/engage/linux-gnu-*/
%{_libdir}/enlightenment/modules/engage/*.edj
%{_libdir}/enlightenment/modules/engage/*.desktop
%{_libdir}/enlightenment/modules/engage/*.png

%files -n moksha-module-flame -f flame.lang
%license flame/COPYING flame/COPYING-PLAIN
%doc flame/AUTHORS
%dir %{_libdir}/enlightenment/modules/flame/
%{_libdir}/enlightenment/modules/flame/linux-gnu-*/
%{_libdir}/enlightenment/modules/flame/*.edj
%{_libdir}/enlightenment/modules/flame/*.desktop

%files -n moksha-module-forecasts -f forecasts.lang
%license forecasts/COPYING forecasts/COPYING-PLAIN
%doc forecasts/AUTHORS forecasts/README
%dir %{_libdir}/enlightenment/modules/forecasts/
%{_libdir}/enlightenment/modules/forecasts/linux-gnu-*/
%{_libdir}/enlightenment/modules/forecasts/*.edj
%{_libdir}/enlightenment/modules/forecasts/*.desktop

%files -n moksha-module-mail -f mail.lang
%license mail/COPYING
%doc mail/AUTHORS mail/TODO
%dir %{_libdir}/enlightenment/modules/mail/
%{_libdir}/enlightenment/modules/mail/linux-gnu-*/
%{_libdir}/enlightenment/modules/mail/*.edj
%{_libdir}/enlightenment/modules/mail/*.desktop
%{_libdir}/enlightenment/modules/mail/*.wav

%files -n moksha-module-mem -f mem.lang
%license mem/COPYING mem/COPYING-PLAIN
%doc mem/AUTHORS
%dir %{_libdir}/enlightenment/modules/mem/
%{_libdir}/enlightenment/modules/mem/linux-gnu-*/
%{_libdir}/enlightenment/modules/mem/*.edj
%{_libdir}/enlightenment/modules/mem/*.desktop

%files -n moksha-module-net -f net.lang
%license net/COPYING net/COPYING-PLAIN
%doc net/AUTHORS
%dir %{_libdir}/enlightenment/modules/net/
%{_libdir}/enlightenment/modules/net/linux-gnu-*/
%{_libdir}/enlightenment/modules/net/*.edj
%{_libdir}/enlightenment/modules/net/*.desktop

%files -n moksha-module-news -f news.lang
%license news/COPYING
%doc news/AUTHORS news/IDEAS news/README news/README.theme news/TODO
%dir %{_libdir}/enlightenment/modules/news/
%{_libdir}/enlightenment/modules/news/images/
%{_libdir}/enlightenment/modules/news/linux-gnu-*/
%{_libdir}/enlightenment/modules/news/*.edj
%{_libdir}/enlightenment/modules/news/*.desktop

%files -n moksha-module-penguins -f penguins.lang
%license penguins/COPYING penguins/COPYING-PLAIN
%doc penguins/AUTHORS penguins/README
%dir %{_libdir}/enlightenment/modules/penguins/
%{_libdir}/enlightenment/modules/penguins/linux-gnu-*/
%{_libdir}/enlightenment/modules/penguins/themes/
%{_libdir}/enlightenment/modules/penguins/*.edj
%{_libdir}/enlightenment/modules/penguins/*.desktop

%files -n moksha-module-photo -f photo.lang
%license photo/COPYING
%doc photo/AUTHORS photo/README photo/TODO
%dir %{_libdir}/enlightenment/modules/photo/
%{_libdir}/enlightenment/modules/photo/images/
%{_libdir}/enlightenment/modules/photo/linux-gnu-*/
%{_libdir}/enlightenment/modules/photo/*.edj
%{_libdir}/enlightenment/modules/photo/*.desktop

%files -n moksha-module-rain -f rain.lang
%license rain/COPYING rain/COPYING-PLAIN
%doc rain/AUTHORS
%dir %{_libdir}/enlightenment/modules/rain/
%{_libdir}/enlightenment/modules/rain/linux-gnu-*/
%{_libdir}/enlightenment/modules/rain/*.edj
%{_libdir}/enlightenment/modules/rain/*.desktop
%{_libdir}/enlightenment/modules/rain/*.png

%files -n moksha-module-screenshot -f screenshot.lang
%license screenshot/COPYING screenshot/COPYING-PLAIN
%doc screenshot/AUTHORS screenshot/README screenshot/TODO
%dir %{_libdir}/enlightenment/modules/screenshot/
%{_libdir}/enlightenment/modules/screenshot/linux-gnu-*/
%{_libdir}/enlightenment/modules/screenshot/*.edj
%{_libdir}/enlightenment/modules/screenshot/*.desktop

%files -n moksha-module-share
%license share/COPYING share/COPYING-PLAIN
%doc share/AUTHORS share/README share/TODO
%{_libdir}/enlightenment/modules/share/

%files -n moksha-module-slideshow -f slideshow.lang
%license slideshow/COPYING slideshow/COPYING-PLAIN
%doc slideshow/AUTHORS slideshow/README slideshow/TODO
%dir %{_libdir}/enlightenment/modules/slideshow/
%{_libdir}/enlightenment/modules/slideshow/linux-gnu-*/
%{_libdir}/enlightenment/modules/slideshow/*.edj
%{_libdir}/enlightenment/modules/slideshow/*.desktop

%files -n moksha-module-snow -f snow.lang
%license snow/COPYING snow/COPYING-PLAIN
%doc snow/AUTHORS
%dir %{_libdir}/enlightenment/modules/snow/
%{_libdir}/enlightenment/modules/snow/linux-gnu-*/
%{_libdir}/enlightenment/modules/snow/*.edj
%{_libdir}/enlightenment/modules/snow/*.desktop
%{_libdir}/enlightenment/modules/snow/*.png

%files -n moksha-module-tclock -f tclock.lang
%license tclock/COPYING tclock/COPYING-PLAIN
%doc tclock/AUTHORS tclock/README
%dir %{_libdir}/enlightenment/modules/tclock/
%{_libdir}/enlightenment/modules/tclock/linux-gnu-*/
%{_libdir}/enlightenment/modules/tclock/*.edj
%{_libdir}/enlightenment/modules/tclock/*.desktop

%files -n moksha-module-trash -f trash.lang
%license trash/COPYING trash/COPYING.LESSER
%doc trash/AUTHORS trash/README
%dir %{_libdir}/enlightenment/modules/trash/
%{_libdir}/enlightenment/modules/trash/linux-gnu-*/
%{_libdir}/enlightenment/modules/trash/*.edj
%{_libdir}/enlightenment/modules/trash/*.desktop

%files -n moksha-module-winlist-ng -f winlist-ng.lang
%license winlist-ng/COPYING winlist-ng/COPYING-PLAIN
%doc winlist-ng/AUTHORS winlist-ng/NEWS winlist-ng/README winlist-ng/TODO
%dir %{_libdir}/enlightenment/modules/winlist-ng/
%{_libdir}/enlightenment/modules/winlist-ng/linux-gnu-*/
%{_libdir}/enlightenment/modules/winlist-ng/*.edc
%{_libdir}/enlightenment/modules/winlist-ng/*.edj
%{_libdir}/enlightenment/modules/winlist-ng/*.desktop
%{_libdir}/enlightenment/modules/winlist-ng/*.png

%files -n moksha-module-winselector
%license winselector/COPYING winselector/COPYING-PLAIN
%doc winselector/AUTHORS
%{_libdir}/enlightenment/modules/winselector/



%changelog
* Tue Jul 03 2018 Samuel Rakitničan <samuel.rakitnican@gmail.com> - 0.0.1-4.20180703gitea2cf97
- Update to ea2cf97

* Sun May 13 2018 Samuel Rakitničan <samuel.rakitnican@gmail.com> - 0.0.1-3.20180513git1fdf82e
- Update to 1fdf82e with fixes for diskio
- New release requires Moksha >= 0.3.0 since modules path is different
- Remove module 'places'

* Mon Oct 02 2017 Samuel Rakitničan <samuel.rakitnican@gmail.com> - 0.0.1-2.20171002git5296b81
- Update to 5296b81
- Remove upstreamed patches and fixes

* Tue Sep 19 2017 Samuel Rakitničan <samuel.rakitnican@gmail.com> - 0.0.1-1.20170918git752dafe
- Initial build
